//
//  FontCustom.swift
//  WOKA
//
//  Created by MacBook Pro on 06/05/24.
//

import UIKit

enum FontsCustomEnum : String{
    case Exo2_Bold = "Exo2-Bold"
    case Exo2_ExtraBold = "Exo2-ExtraBold"
    case Exo2_Medium = "Exo2-Medium"
    case Exo2_Regular = "Exo2-Regular"
    case Exo2_SemiBold = "Exo2-SemiBold"
    case Exo2_Thin = "Exo2-Thin"
}

final class FontCustom{
    
    static let shareInstance = FontCustom()
    
    func customFont(fontName : FontsCustomEnum , size : CGFloat = 16.0)-> UIFont{
        UIFont(name: fontName.rawValue, size: size)!
    }
}
